handdator

Visa fullständig version : APM 2.5 till 2.7 slutar utvecklas?



Peter1
2015-05-03, 22:01
Har läst någonstans att APM inte kommer fortsätta att utvecklas. Om man uppdaterar kommer ett errormeddelande. Är det någon som vet mer? Blir det problem om man uppdaterar, eller?

Ålänning
2015-05-04, 22:58
Det är väl 3DRobotics som gör riktiga APM 2.5 och 2.6.
2.7 är väl nån kopia?

Pixhawk som gäller nu eftersom APM gått i tak, finns inte rum mer i minnet.
Finns visa som gör om koden genom att plocka bort sånt som inte behövs för att få till andra nya funktioner.
Jag och en till kör firmware-version 3.1.5 på samtliga utom en X8 som har 3.2 för den ville inte ha 3.1.5.
Funkar stabilt.

Har du äkta vara eller kopia?
Vilken version uppdaterar du till?

UndCon
2015-05-04, 23:42
haha - jag kör med APM 1.0

Peter1
2015-05-07, 00:22
Har du äkta vara eller kopia?
Vilken version uppdaterar du till?

Det är kopior jag har. Jag hoppas bara att det fortfarande går att använda korten när de slutar utveckla programvaran.

magnusvr
2015-05-07, 16:02
Det stämmer, den senaste versionen är den sista som stöder APM-hårdvaran. Det gör de då processorkraften inte räcker till för nya funktioner, så nya funktioner i Arducopter kommer bara till Pixhawk och andra nyare hårdvaror.



Copter 3.3-rc1 11-Apr-2015



Changes from 3.2.1



1) Only support fast CPUs boards (Pixhawk, VRBrain, etc) and drop support for APM1, APM2 (sorry!)